Bug 863500 - Abrt couldn't send report
Abrt couldn't send report
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
: 861713 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 11:34 EDT by Mikhail
Modified: 2013-06-28 07:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 07:55:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-10-05 11:34:49 EDT
Description of problem:
--- Running report_uReport ---
Locked './.lock'
Unlocked './.lock'
warning: 'uptime' is not an item in problem directory
warning: 'pkg_epoch' is not an item in problem directory
parse_release: version:'18' product:'Fedora'
post('https://retrace.fedoraproject.org/faf/reports/new/','{ "ureport_version": 1, "crash_thread": 0, "architecture": "i686", "executable": "\/usr\/bin\/empathy", "reason": "Process \/usr\/bin\/empathy was killed by signal 6 (SIGABRT)", "type": "USERSPACE", "installed_package": { }, "related_packages": [ ], "os": { "name": "Fedora", "version": "18" }, "reporter": { "name": "ABRT", "version": "2.0.14" } }')
curl: About to connect() to retrace.fedoraproject.org port 443 (#0)

curl:   Trying 209.132.181.28...

curl: connected

curl: Connected to retrace.fedoraproject.org (209.132.181.28) port 443 (#0)

curl: Initializing NSS with certpath: sql:/etc/pki/nssdb

curl:   CAfile: /etc/pki/tls/certs/ca-bundle.crt
  CApath: none

curl: SSL connection using TLS_RSA_WITH_AES_256_CBC_SHA

curl: Server certificate:

curl: 	subject: CN=retrace.fedoraproject.org,OU=Information Systems,O=Red Hat Inc,L=Raleigh,ST=North Carolina,C=US,serialNumber=yAPlxlxAIynmUPcu9oHHthu6M9HG0I1P

curl: 	start date: марта 14 05:22:57 2012 GMT

curl: 	expire date: мая 16 07:55:58 2014 GMT

curl: 	common name: retrace.fedoraproject.org

curl: 	issuer: CN=GeoTrust SSL CA,O="GeoTrust, Inc.",C=US

curl sent header: 'POST /faf/reports/new/ HTTP/1.1
Host: retrace.fedoraproject.org
Accept: application/json
Connection: close
User-Agent: ABRT/2.0.14
Content-Length: 540
Expect: 100-continue
Content-Type: multipart/form-data; boundary=----------------------------f7df5d4520fb

'
curl rcvd header: 'HTTP/1.1 100 Continue
'
curl sent data: '------------------------------f7df5d4520fb
Content-Disposition: form-data; name="file"; filename="*buffer*"
Content-Type: application/json

{ "ureport_version": 1, "crash_thread": 0, "architecture": "i686", "executable": "\/usr\/bin\/empathy", "reason": "Process \/usr\/bin\/empathy was killed by signal 6 (SIGABRT)", "type": "USERSPACE", "installed_package": { }, "related_packages": [ ], "os": { "name": "Fedora", "version": "18" }, "reporter": { "name": "ABRT", "version": "2.0.14" } }
------------------------------f7df5d4520fb--
'
curl rcvd header: 'HTTP/1.1 400 BAD REQUEST
'
curl rcvd header: 'Date: Fri, 05 Oct 2012 15:29:22 GMT
'
curl rcvd header: 'Server: Apache/2.2.15 (Red Hat)
'
curl rcvd header: 'Vary: Cookie
'
curl rcvd header: 'ProxyTime: D=311502
'
curl rcvd header: 'ProxyServer: retrace01.qa.fedoraproject.org
'
curl rcvd header: 'Content-Length: 105
'
curl rcvd header: 'Connection: close
'
curl rcvd header: 'Content-Type: application/json
'
curl rcvd header: '
'
curl rcvd data: '{"error": "Validation failed: error validating 'installed_package': missing mandatory element 'release'"}'
curl: Closing connection #0

after curl_easy_perform: http code 400 body:'{"error": "Validation failed: error validating 'installed_package': missing mandatory element 'release'"}'
server side error: "Validation failed: error validating 'installed_package': missing mandatory element 'release'"
(exited with 1)
Comment 1 Jakub Filak 2012-10-12 08:12:58 EDT
Hello, thank you for filling this bug report. It looks like that abrt wasn't able to get version details for /usr/bin/empathy binary. I can't reproduce this behaviour on my clean Fedora 18. If you still have the crash data on disk, go to crash directory (some directory in ~/.cache/abrt/spool or /var/spool/abrt) and provide output of the following command

$ abrt-action-save-package-data -vvv

Output of the following commands can help us too

$ yum info installed empathy
$ rpm -qi empathy
$ rpm -qf /usr/bin/empathy
Comment 2 Jakub Filak 2012-10-22 07:05:25 EDT
*** Bug 861713 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.